> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Retrieve an API key in the workspace by ID, including deleted API keys. The secret is never returned.

| Scope | Required |
| - | - |
| `api_keys:read` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-04.yaml get /api_keys/{api_key_id}
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-04.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-04.everglades
  x-git-commit:
    sha: e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    url: >-
      https://github.com/mirurobotics/openapi/commit/e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    message: >-
      feat(platform): add archived and deleted list filters, and tidy
      descriptions (#446)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-05T23:04:32.018858+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /api_keys/{api_key_id}:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - API Keys
      summary: Get
      description: >-
        Retrieve an API key in the workspace by ID, including deleted API keys.
        The secret is never returned.
      operationId: getAPIKey
      parameters:
        - $ref: '#/components/parameters/api_key_id'
      responses:
        '200':
          description: Successfully retrieved the API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIKey'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-04.everglades
      description: The API version the client was built against.
    api_key_id:
      name: api_key_id
      in: path
      required: true
      description: The unique identifier of the API key.
      schema:
        type: string
        example: api_key_123
  schemas:
    APIKey:
      title: APIKey
      type: object
      required:
        - object
        - id
        - name
        - description
        - scopes
        - last_used_at
        - created_at
        - updated_at
        - deleted_at
        - created_by_id
      properties:
        object:
          type: string
          enum:
            - api_key
          example: api_key
          x-stainless-const: true
          description: The object type, which is always `api_key`.
        id:
          type: string
          example: api_key_123
          description: >-
            ID of the API key. Attribution fields such as `created_by_id` on
            other resources hold this ID when the API key performed the action.
        name:
          type: string
          example: My CI/CD Key
          description: Name of the API key.
        description:
          type: string
          nullable: true
          example: CI token for the staging deploy pipeline
          description: A free-form description of the API key.
        scopes:
          type: array
          items:
            type: string
          example:
            - devices:read
            - deployments:read
          description: Slugs of the scopes granted to the API key.
        last_used_at:
          type: string
          format: date-time
          nullable: true
          example: '2021-01-01T00:00:00Z'
          description: >-
            Timestamp of when the API key last successfully authenticated a
            request. Null if the API key has never been used.
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the API key was created.
        updated_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the API key was last updated.
        deleted_at:
          type: string
          format: date-time
          nullable: true
          example: '2021-01-01T00:00:00Z'
          description: >-
            Timestamp of when the API key was deleted. Null if the API key is
            active. A deleted API key can no longer authenticate requests.
        created_by_id:
          type: string
          example: usr_123
          description: ID of the user who created the API key.
      example:
        object: api_key
        id: api_key_123
        name: My CI/CD Key
        description: CI token for the staging deploy pipeline
        scopes:
          - devices:read
          - deployments:read
        last_used_at: '2021-01-01T00:00:00Z'
        created_at: '2021-01-01T00:00:00Z'
        updated_at: '2021-01-01T00:00:00Z'
        deleted_at: null
        created_by_id: usr_123
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.